﻿@using ThirdMVCAppMy.Models.Dish
@model DishSortAndPageModel

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Index</h1>
<p>
    <a asp-controller="Dish" asp-action="CreateDish" asp-route-restaurantId="@Model.RestaurantModel.Id">Create New</a>
</p>

<div>
    <h4>Ресторан</h4>
    <hr />
    <dt class="row">
    <dt class="col-sm-2">
        @Html.DisplayNameFor(model => model.RestaurantModel.Name)
    </dt>
    <dd class="col-sm-10">
        @Html.DisplayFor(model => model.RestaurantModel.Name)
    </dd>
    <dt class="col-sm-2">
        @Html.DisplayNameFor(model => model.RestaurantModel.Description)
    </dt>
    <dd class="col-sm-10">
        @Html.DisplayFor(model => model.RestaurantModel.Description)
    </dd>
    </dt>
</div>



<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-controller="Dish" asp-action="Index" asp-route-sortState=@Model.NameSort
                   asp-route-сurrentPage=@Model.DishPageModel.PageNumber
                   asp-route-page=@Model.Page
                   asp-route-id=@Model.RestaurantModel.Id>
                    @Html.DisplayNameFor(model => model.Dishes[0].Name)
                </a>
            </th>
            <th>
                <a asp-controller="Dish" asp-action="Index" asp-route-sortState=@Model.DescriptionSort
                   asp-route-сurrentPage=@Model.DishPageModel.PageNumber
                   asp-route-page=@Model.Page
                   asp-route-id=@Model.RestaurantModel.Id>
                    @Html.DisplayNameFor(model => model.Dishes[0].Description)
                </a>
            </th>
            <th>
                <a asp-controller="Dish" asp-action="Index" asp-route-sortState=@Model.PriceSort
                   asp-route-сurrentPage=@Model.DishPageModel.PageNumber
                   asp-route-page=@Model.Page
                   asp-route-id=@Model.RestaurantModel.Id>
                    @Html.DisplayNameFor(model => model.Dishes[0].Price)
                </a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Dishes)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Price)
                </td>
                <td>
                    <form asp-action="Add" asp-controller="Basket" method="post">
                        <input type="hidden" name="dishId" value="@item.Id" />
                        <input type="hidden" name="restaurantId" value="@item.RestaurantId" />
                        <input type="submit" value="Добавить в корзину" />
                    </form>
                </td>
                <td> </td>
            </tr>
        }
    </tbody>
</table>

@if (Model.DishPageModel.HasPreviousPage)
{
    <a asp-action="Index"
       asp-route-id=@Model.RestaurantModel.Id
       asp-route-sortState="@Model.DishSortState"
       asp-route-page="@(Model.DishPageModel.PageNumber - 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-left"></i>
        Prev
    </a>
}

<span style="margin: 20px">@Model.DishPageModel.PageNumber</span>

@if (Model.DishPageModel.HasNextPage)
{
    <a asp-action="Index"
       asp-route-id=@Model.RestaurantModel.Id
       asp-route-sortState="@Model.DishSortState"
       asp-route-page="@(Model.DishPageModel.PageNumber + 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-right"></i>
        Next
    </a>
}

<p>

</p>
<div>
    <td>
        <form asp-action="Index" asp-controller="Basket" method="get">
            <input type="hidden" name="restaurantId" value="@Model.RestaurantModel.Id" />
            <input type="submit" value="Корзинa" />
        </form>
    </td>
</div>
<p>
      
</p>
<div>
    <a asp-controller="Restaurant" asp-action="Index">Back to List</a>
</div>

